@echo Welcome to Huawei Honor ICS Root and Ru localisation Tool!
@echo off
echo ===============================================================================
echo  Huawei Honor Root and RU Locale Tool
echo  From V_P_Zadov (Especialy Thank's [FedoR])
echo ===============================================================================
echo.
echo             WARNING!!! 
echo.
echo  1. Enable USB debugging!
echo  2. Connect USB cable!
echo  3. Install Huawei HiSuite and ADB driver!
echo.
@echo off
pause
adb kill-server
adb start-server
adb wait-for-device
adb push mempodroid /data/local/tmp
adb push su /data/local/tmp
adb push Superuser.apk /data/local/tmp
adb push ROOT.sh /data/local/tmp
adb push busybox /data/local/tmp
adb shell chmod 755 /data/local/tmp/mempodroid
adb shell chmod 755 /data/local/tmp/ROOT.sh
adb shell chmod 755 /data/local/tmp/busybox
adb shell chmod 644 /data/local/tmp/Superuser.apk
adb shell "/data/local/tmp/mempodroid 0xd454 0xaac3 /data/local/tmp/ROOT.sh"
pause
@echo Now your Honor is rooting.
@echo Wait please full boot of the Phone.
pause
@echo All complete. Thank's!
pause
